// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_OCI_IIOP_INIT_H
#define OB_OCI_IIOP_INIT_H

#include <OB/OCIClient_fwd.h>
#include <OB/OBORB_fwd.h>
#include <OB/Properties_fwd.h>

//
// These functions must be declared dllexport on Win32 because makedef.pl
// ignores functions with C linkage
//
extern "C"
#ifdef OB_DLL
__declspec(dllexport)
#endif
void OCI_version_iiop(CORBA::ORB_ptr, const char*);

extern "C"
#ifdef OB_DLL
__declspec(dllexport)
#endif
OCI::Plugin_ptr OCI_init_iiop(CORBA::ORB_ptr, int&, char**);

void OCI_parse_args_iiop(int&, char**, OB::Properties_ptr);

#endif
